<?php
/**
 * All settings related to main banner post.
 *
 * @package BlogBull
 */
$wp_customize->add_section(
	'main_banner_post',
	array(
		'title' => esc_html__( 'Main Banner Section', 'blogbull' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'blogbull_options[enable_main_banner_section]',
    array(
        'default'           => $blogbull_default['enable_main_banner_section'],
        'sanitize_callback' => 'blogbull_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogbull_options[enable_main_banner_section]',
    array(
        'label'       => esc_html__( 'Enable Main Banner', 'blogbull' ),
        'section'     => 'main_banner_post',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'blogbull_options[main_banner_title]',
    array(
        'default'           => $blogbull_default['main_banner_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogbull_options[main_banner_title]',
    array(
        'label'    => __( 'Section Title', 'blogbull' ),
        'section'  => 'main_banner_post',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'blogbull_section_seperator_banner_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogbull_Seperator_Control(
        $wp_customize,
        'blogbull_section_seperator_banner_column_1',
        array(
            'label'         => esc_html__( 'Banner Column - 1', 'blogbull' ),
            'settings' => 'blogbull_section_seperator_banner_column_1',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'blogbull_options[banner_grid_post_category]',
    array(
        'default'           => $blogbull_default['banner_grid_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Blogbull_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogbull_options[banner_grid_post_category]',
        array(
            'label'           => __( 'Choose Grid Category', 'blogbull' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogbull' ),
            'section'         => 'main_banner_post',
        )
    )
);




$wp_customize->add_setting(
    'blogbull_section_seperator_banner_column_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogbull_Seperator_Control(
        $wp_customize,
        'blogbull_section_seperator_banner_column_2',
        array(
            'label'         => esc_html__( 'Banner Column - 2', 'blogbull' ),
            'settings' => 'blogbull_section_seperator_banner_column_2',
            'section' => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'blogbull_options[banner_list_post_category]',
    array(
        'default'           => $blogbull_default['banner_list_post_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Blogbull_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogbull_options[banner_list_post_category]',
        array(
            'label'           => __( 'Choose List Post Category', 'blogbull' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogbull' ),
            'section'         => 'main_banner_post',
        )
    )
);





$wp_customize->add_setting(
    'blogbull_section_seperator_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Blogbull_Seperator_Control(
        $wp_customize,
        'blogbull_section_seperator_banner',
        array(
            'label'         => esc_html__( 'Banner Section Meta', 'blogbull' ),
            'settings' => 'blogbull_section_seperator_banner',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'blogbull_options[enable_banner_author_meta]',
    array(
        'default' => $blogbull_default['enable_banner_author_meta'],
        'sanitize_callback' => 'blogbull_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogbull_options[enable_banner_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogbull_options[select_banner_author_meta]',
    array(
        'default' => $blogbull_default['select_banner_author_meta'],
        'sanitize_callback' => 'blogbull_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogbull_author_meta(),
    )
);
$wp_customize->add_setting(
    'blogbull_options[banner_author_meta_title]',
    array(
        'default' => $blogbull_default['banner_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogbull_options[banner_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'blogbull_options[enable_banner_date_meta]',
    array(
        'default' => $blogbull_default['enable_banner_date_meta'],
        'sanitize_callback' => 'blogbull_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogbull_options[enable_banner_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogbull_options[select_banner_date]',
    array(
        'default' => $blogbull_default['select_banner_date'],
        'sanitize_callback' => 'blogbull_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_date]',
    array(
        'label' => esc_html__('Select Posted on Date Meta', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogbull_date_meta(),
    )
);
$wp_customize->add_setting(
    'blogbull_options[select_banner_date_meta_title]',
    array(
        'default' => $blogbull_default['select_banner_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_date_meta_title]',
    array(
        'label' => __('Date Text', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'blogbull_options[select_banner_date_format]',
    array(
        'default' => $blogbull_default['select_banner_date_format'],
        'sanitize_callback' => 'blogbull_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogbull_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'blogbull_options[enable_banner_category_meta]',
    array(
        'default' => $blogbull_default['enable_banner_category_meta'],
        'sanitize_callback' => 'blogbull_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogbull_options[enable_banner_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'blogbull_options[select_banner_number_of_category]',
    array(
        'default' => $blogbull_default['select_banner_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_number_of_category]',
    array(
        'label' => __('Number of Category', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'blogbull_options[banner_category_label]',
    array(
        'default' => $blogbull_default['banner_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'blogbull_options[banner_category_label]',
    array(
        'label' => __('Category Label', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'blogbull_options[select_banner_category_color]',
    array(
        'default' => $blogbull_default['select_banner_category_color'],
        'sanitize_callback' => 'blogbull_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogbull_options[select_banner_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'blogbull'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => blogbull_category_color(),
    )
);